@font-face {
    font-family: "Aguafina Script";
    src: url('/fonts/AguafinaScript-Regular.ttf') format("truetype");
    font-display: swap;
}

@font-face {
    font-family: 'Firjar';
    src: url('/fonts/Firjar[wdth,wght].ttf') format('truetype');
    font-weight: 100 900; /* Enables full weight range */
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Nimbus Sans';
    src: url('/fonts/NimbusSanL-Reg.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Nimbus Sans';
    src: url('/fonts/NimbusSanL-RegIta.otf') format('opentype');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Nimbus Sans';
    src: url('/fonts/NimbusSanL-Bol.otf') format('opentype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

:root {
    --bg: #111111;
    --txtColor: #e0e0e0;
    --ssPrimary: #00a177;
    --ssAccent: #d51465;
    --ssAltAccent: #ff8000;
    --fontSize: clamp(12pt, 4vw, 18pt);
}

html {
    font-family: 'Nimbus Sans', 'Noto Sans', sans-serif, system-ui, Hack;
    background: var(--bg);
    color: var(--txtColor);
    scroll-behavior: smooth;
    font-size: var(--fontSize);
}

a {
    color: var(--ssPrimary);
    transition: 100ms color linear;
}
a:hover {
    color: var(--ssAccent);
    font-style: italic;
    transition: 100ms color linear;
}

::selection{
    background-color: var(--ssPrimary);
    text-shadow: black 2px 2px;
}